filecheck(1)

NAME
filecheck - Attempt to reimplement LLVM's FileCheck using Python.

SYNOPSIS
 filecheck <check-file> [<options>]

DESCRIPTION
Filecheck is a Python implementation for LLVM LIT integration tests integration tests. The package is useful to people who are not familiar with the LLVM infrastructure and Python-based projects that would prefer to not have to build anything from LLVM's source code in their CI process.

OPTIONS

--match-full-lines
    - Require all positive matches to cover an entire input line. Allows leading and trailing whitespace if --strict-whitespace is not also passed.

--strict-whitespace
    - Do not treat all horizontal whitespace as equivalent

--check-prefix
    - Allows changing a default match keyword CHECK to an arbitrary keyword

--implicit-check-not
    - Adds implicit CHECK-NOT check that works on every input line

--help
    - Display available options

EXAMPLES
The following check file without--strict-whitespace.check:

    CHECK: String1   String2           String3

will pass on any of the following inputs:

    printf "String1 String2 String3" | filecheck without--strict-whitespace.check
    printf "String1  String2          String3" | filecheck without--strict-whitespace.check
    printf "   String1	String2			String3 " | filecheck without--strict-whitespace.check

Adding --strict-whitespace disables this behavior.

The following check file without--match-full-lines.check:

    CHECK: tring1
    CHECK: ring2
    CHECK: String3

will pass on the following input:

    printf "String1tring2tring3" | filecheck without--match-full-lines.check

The --match-full-lines disables this behavior.

REPORTING BUGS
To report a bug please visit filecheck issues tracking system at: https://github.com/mull-project/FileCheck.py/issues

AUTHORS
This manual page was written by Bo YU <tsu.yubo@gmail.com> for the Debian project (but may be used by others).